cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
jack.roundhouse
Contributor
Contributor
733 Views
Registered: ‎09-20-2018

usage of tcl commands with xsct

Jump to solution

hello,

In UG1208, there is a tcl command:

version

I saved this line to a tcl file then run it wiht

xsct xsct_script.tcl

It returns:

opening XSCT project ...
invalid command name "::xsdb::get_version"
    while executing
"::xsdb::get_version"
    (procedure "version" line 20)
    invoked from within
"version"
    (file "xsct_script.tcl" line 1)

How do I use this command properly?

 

------

XSCT version: 2017.4

OS: Linux Ubuntu 16.04

 

0 Kudos
Reply
1 Solution

Accepted Solutions
glena
Moderator
Moderator
672 Views
Registered: ‎03-19-2014

That looks like a bug in 2017.4 - 2018.2   I do get the expected output running non-interactive on 2018.3.   This is the script I used:

set result [version]
puts $result

 

 

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------

View solution in original post

0 Kudos
Reply
2 Replies
glena
Moderator
Moderator
673 Views
Registered: ‎03-19-2014

That looks like a bug in 2017.4 - 2018.2   I do get the expected output running non-interactive on 2018.3.   This is the script I used:

set result [version]
puts $result

 

 

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------

View solution in original post

0 Kudos
Reply
jack.roundhouse
Contributor
Contributor
664 Views
Registered: ‎09-20-2018

@glena,

It definetely is. I used your very same script in 2017.4 and receive the before mentioned error.

Glad it has been fixed in the latest release.

Thank you

0 Kudos
Reply